# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Apr 30 20:55:47 2024
# ------------------------------------------------

package:
  name: lz4-c
  version: 1.9.4
source:
  fn: lz4-1.9.4.tar.gz
  sha256: 0b0e3aa07c8c063ddf40b082bdf7e37a1562bda40a0ff5272957f3e987e0e54b
  url: https://github.com/lz4/lz4/archive/v1.9.4.tar.gz
build:
  number: '1'
  run_exports:
    - lz4-c >=1.9.4,<1.10.0a0
  string: h419075a_1
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - make 4.2.1 hfd63f10_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
about:
  description: 'LZ4 is lossless compression algorithm, providing compression speed
    at 400

    MB/s per core (0.16 Bytes/cycle). It features an extremely fast decoder,

    with speed in multiple GB/s per core (0.71 Bytes/cycle). A high compression

    derivative, called LZ4_HC, is available, trading customizable CPU time for

    compression ratio. LZ4 library is provided as open source software using a

    BSD license.

    '
  dev_url: https://github.com/lz4/lz4
  doc_url: https://github.com/lz4/lz4/blob/dev/README.md
  home: https://lz4.github.io/lz4/
  license: BSD-2-Clause
  license_family: BSD
  license_file: lib/LICENSE
  summary: Extremely Fast Compression algorithm
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c093932a-b2f6-41e4-a254-d09df242d42f
  recipe-maintainers:
    - mingwandroid
    - rmax
    - wesm
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/lz4-c-feedstock.git
  sha: 45537caf4f5443bf05cd61697e4cc857567e2aee
